# PassiveTest Pre-reqs

PassiveTest requires the following images (in the xos_services/PassiveTest folder):
-	    mcord_taa.qcow2 (The main xos probe service for PassiveTest)
-	    viv.docker      (The container providing the tapping service)

If the images are not in the current folder, running the Makefile targets will attempt to download them from a private repo (internal to Viavi). So if you do not have access to the private repo, download them separately prior to running this step

# Onboarding PassiveTest and tapping agent
- Run `make viv` followed by `make passivetest`
- (Note: running `make viv` only needs to be done once. If you need to redeploy passivetest or any of the other services, `make viv` does not need to be performed again (unless another compute node was added/removed/rebooted)
- Ensure that the mysite_passivetest_slice VM has two networks (run nova list --all-tenants)
  **Note: XOS has a race condition that the passivetest VM may only come up with one network

# Onboarding A-CORD
- Run `make cord-monitoringservice` followed by `make install-inframonitoring-agents` followed by `make enable-inframonitoring`
- Ensure that the ceilometer VMs have two networks (run nova list --all-tenants)
  **Note: XOS has a race condition that the VM may only come up with one network

# Enabling PassiveTest to report meters in A-CORD
- Run `make passivetest-acord`

# Enabling tapping of an interface
Ceilometer Dashboard shows the ports of VMs in the slices via a name with "tap" in it such as 'tapacb6a527-f8'. To tap that interface to provide PassiveTest metrics, perform the following:
-	   Go to the PassiveTest Service (Services->PassiveTest->service_passivetest)
-	   Enter in the name of the tap port in the form's "Tap ports:" field
-	   Click 'Save'
-	   Click on the Home->PassiveTest Breadcrumb
-	   Click on "Change" in the PASSIVETEST Tenants row
-	   Click on the 'mysite_passivetest_slice-X' instance
-	   Click 'Save'
	   **Note: The last three steps were to trigger the synchronizer to add the tap port
-	   You should now see statistics in the Ceilometer Dashboard under service_passivetest XOS Service for each ip source/destination pair on that tap interface

